*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root {
    font-family: 'Courier New', Courier, monospace;

    --fs-small: 0.875rem;   
    --fs-base: 1rem;        
    --fs-md: 1.20rem;      
    --fs-lg: 1.75rem;      
    --fs-xl: 2.5rem;

    --section-spacing: clamp(2.7rem, 5vw, 6.6rem);
}
body {
    background: rgb(238, 235, 226);
    color: rgb(22, 22, 22);
    font-size: var(--fs-base); 
    line-height: 1.6;
    -webkit-font-smoothing: antialiased;
    overflow-x: hidden;
}
strong {
    color: #A62116;
}
.concerts {
    min-height: 100svh;
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 800px;        
    margin: 0 auto;          
    padding: 4rem 0 2rem 0;   
    box-sizing: border-box;
}

.navbar .title {
    font-size: var(--fs-lg);
    font-weight: normal; 
    letter-spacing: -1px;
    margin: 0;               
    text-transform: lowercase; 
}
.icon-menu {
    display: inline-block;
    width: 30px; 
    height: 30px;
    background-image: url('images/icons/menu.svg');
    background-size: contain;
    background-repeat: no-repeat;
}
.icon-menu:hover {
    filter: invert(28%) sepia(85%) saturate(3015%) hue-rotate(338deg) brightness(98%) contrast(93%);
}
.concerts-container {
    min-height: auto; 
    max-width: 90%;
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    padding: var(--section-spacing) 0;
    flex-direction: column;
    justify-content: start;
    align-items:center;
    gap: 1.5rem;
}
.concert-list {
    list-style: none;
    width: 100%;
    padding: 0;
    margin: 0;
    font-size: var(--fs-md); 

}
.concert-item {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    padding: 1.5rem;
    border-bottom: 1px solid rgba(22, 22, 22, 0.1); 
    text-align: center;
}
.concert-details {
    display: flex;
    flex-direction: column;
    gap: 0.2rem;
    font-size: var(--fs-md);
}

@media (min-width: 768px) {
    .concert-item {
        display: grid;
        grid-template-columns: 1fr 1.5fr 1.5fr 1fr;
        grid-gap: 1.5rem;
        align-items: center; 
        text-align: left;
    }

    .concert-tickets {
        text-align: right; 
    }
}
a {
    color: inherit;
    text-decoration: none;
    transition: opacity 0.3s;
}

a:hover {
    opacity: 0.6;
}
button {
  display: inline-block;
  padding: 8px 24px;
  font-family: "Courier New", Courier, monospace;
  font-size: var(--fs-small);
  letter-spacing: 1px;
  color: #333333;
  background-color: transparent;
  border: 1px solid #333333;
  cursor: pointer;
  transition: all 0.3s ease;
  text-decoration: none;
  text-transform: uppercase; 
}
button:hover {
  background-color: #A62116; 
  border-color: #A62116;    
  color: #f4f1ea;        
}